# Materials Mechanics Ontology
The Materials Mechanics ontology is an application-level ontology based on the PMD Core Ontology [PMDco v2.0.4](https://w3id.org/pmd/co/2.0.4). Originally, the Materials Mechanics ontology was designed to support comprehensive named-entity recognition (NER) in materials fatigue domain. The ontology covers some fairly general MSE concepts that could prospectively be merged into PMDco or other upper materials ontologies such as descriptions of crystallographic defects and microstructural entities. It permits modeling of causal composition-process-microstructure-property relationships. Furthermore, concepts related to the materials fatigue subdomain are heavily incorporated. 

The ontology utilizes concepts representing material properties from the [MP-SCHM ontology](https://github.com/cpauloh/semmd) which is a part of the semantic materials, manufacturing, and design project.

The turtle serialization of the ontology confirming to the requirements specified by Plattform MaterialDigital's HAP 4 in [Technical requirements for ontologies](https://github.com/materialdigital/materialdigital1_ontology_collection?tab=readme-ov-file#technical-requirements-for-ontologies) is located here: [materials-mechanics-ontology.ttl](materials-mechanics-ontology.ttl). The ontology is also accessible here: [https://w3id.org/pmd/materials-mechanics-ontology](https://w3id.org/pmd/materials-mechanics-ontology).


## Ontology Files
### [materials-mechanics-ontology.ttl](materials-mechanics-ontology.ttl)
The Materials Mechanics ontology, which is actively developed and thus changes its version number more or less frequently.

### [materials-mechanics-ontology-merged.ttl](materials-mechanics-ontology-merged.ttl)
The Materials Mechanics ontology merged with PMD Core Ontology [PMDco v2.0.4](https://w3id.org/pmd/co/2.0.4), i.e. a single file without import statements.

## Workflow Files for Continuous Integration
### [.gitlab-ci.yaml](.gitlab-ci.yaml)
A workflow definition that does the following steps on push to main:

1) Build the html documentation and the ontologies alternate serializations for the current version
2) Add the current versions documentation and serializations to Gitlab pages

### [.htaccess](.htaccess)
The .htaccess file that redirects IRIs from [w3id.org](https://w3id.org) to the Gitlab page. Currently this file has to be edited for each new version (unfortunately gh-pages does not allow symlinks).

## Contribute
If you like to contribute, please feel free to add any issues or participate in discussions on this repository.

- Namespace and OWL Documentation in HTML: [https://w3id.org/pmd/materials-mechanics-ontology](https://w3id.org/pmd/materials-mechanics-ontology)
- Prefix: mm

## License
This work is licensed under a [Creative Commons Attribution 4.0 International License](https://creativecommons.org/licenses/by/4.0/).

<img src="./by.png" alt="license" width="160"/>

## Acknowledgements
The authors express their gratitude to the German Federal Ministry of Education and Research (BMBF) for the funding in the scope of the iBain project (13XP5118B) as part of MaterialDigital.
